--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to regress MDD change 20/001
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              30-DEC-99   Generis           20.6
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
SET SCAN OFF
--
PROMPT
PROMPT Script to regress MDD change 20/001
PROMPT
PROMPT Version 20.6
PROMPT
--
PROMPT
PROMPT Regress amend SQU as PGT (and iGT) (MDD 20/001)
PROMPT
--
DECLARE

  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  fk_violated         EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);
  PRAGMA EXCEPTION_INIT(fk_violated, -2292);

  CURSOR C_SPA_ACTIVE IS
    SELECT PARAM_VALUE FROM PROGRAM_PARAMETERS WHERE PARAM_NAME = 'SPA_ACTIVE';
  L_SPA_ACTIVE    VARCHAR2(1);

BEGIN

  EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT 
                      SET MARKET_PARTICIPANT_NAME = ''Squire Energy Limited'',
                              LAST_UPDATE_USER_ID = USER,
                              LAST_UPDATE_DATE = SYSDATE
                        WHERE MARKET_PARTICIPANT_CODE = ''SQU''';

  EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
                          SET MARKET_PARTICIPANT_ROLE_NAME = ''Squire Energy Limited (SQU as IGT)'',
                              LAST_UPDATE_USER_ID = USER,
                              LAST_UPDATE_DATE = SYSDATE
                        WHERE MARKET_PARTICIPANT_CODE = ''SQU''
                          AND MARKET_PARTICIPANT_ROLE_CODE = ''IGT''';

  EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT_IN_ROLE 
                      WHERE MARKET_PARTICIPANT_CODE = ''SQU''
                        AND MARKET_PARTICIPANT_ROLE_CODE = ''PGT''';

  EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
                          SET MARKET_PARTICIPANT_ROLE_NAME = ''Squire Energy Limited (SQU as MAM)'',
                              LAST_UPDATE_USER_ID = USER,
                              LAST_UPDATE_DATE = SYSDATE
                        WHERE MARKET_PARTICIPANT_CODE = ''SQU''
                          AND MARKET_PARTICIPANT_ROLE_CODE = ''MAM''';

  EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
                          SET MARKET_PARTICIPANT_ROLE_NAME = ''Squire Energy Limited (SQU as MAP)'',
                              LAST_UPDATE_USER_ID = USER,
                              LAST_UPDATE_DATE = SYSDATE
                        WHERE MARKET_PARTICIPANT_CODE = ''SQU''
                          AND MARKET_PARTICIPANT_ROLE_CODE = ''MAP''';

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/
--
SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
